Qt Reference Documentation

# Q3Picture Class Reference

The Q3Picture class is a paint device that records and replays Q3Painter commands. More...

     #include <Q3Picture>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QPicture.

- List of all members, including inherited members

## Public Functions

| Q3Picture ()
| Q3Picture ( const QPicture & other )
bool | load ( QIODevice * device, const char * format = 0 )
bool | load ( const QString & fileName, const char * format = 0 )
bool | save ( QIODevice * device, const char * format = 0 )
bool | save ( const QString & fileName, const char * format = 0 )

- 13 public functions inherited from QPicture
- 13 public functions inherited from QPaintDevice

### Additional Inherited Members

- 1 protected function inherited from QPaintDevice

## Detailed Description

The Q3Picture class is a paint device that records and replays Q3Painter commands.

Q3Picture can also read and write SVG (Scalable Vector Graphics) files, a W3C XML format. Note that when using the load() and save() functions to read and write SVG files, the format must be specified.

See also QPicture.

## Member Function Documentation

### Q3Picture::Q3Picture ()

Constructs a Q3Picture.

### Q3Picture::Q3Picture ( const QPicture & other )

Constructs a copy of other.

### bool Q3Picture::load ( QIODevice * device, const char * format = 0 )

Loads the picture in the specified format from the given device. Returns true if the file is loaded successfully; otherwise returns false.

Note that when using the load() function to read SVG files, the format must be specified. For example:

     Q3Picture picture;
     picture.load("drawing.svg", SVG);

See also save().

### bool Q3Picture::load ( const QString & fileName, const char * format = 0 )

This is an overloaded function.

Loads the picture in the specified format from a file with the given fileName. Returns true if the file is loaded successfully; otherwise returns false.

### bool Q3Picture::save ( QIODevice * device, const char * format = 0 )

Saves the picture in the specified format to the given device. Returns true if the save is successful. Returns false if, for example, the picture is still being painted, i.e., QPainter::end() has not yet been called.

Note that when using the save() function to save SVG files, the format must be specified. For example:

     Q3Picture picture;
     QPainter painter;
     painter.begin(&picture);           // paint in picture
     ...
     painter.end();                     // painting done
     picture.save("drawing.svg", SVG);  // save picture

See also load().

### bool Q3Picture::save ( const QString & fileName, const char * format = 0 )

This is an overloaded function.

Saves the picture in the specified format to the file with the given fileName.

See also load().